#!/bin/sh
prefix=/v/openpkg
cd $prefix/web/product/packages
/usr/bin/lockf -t `expr 60 \* 10` browser-cron.lock \
rm -f browser.db.new
./browser-cron.pl \
     --verbose \
     --rpm="$prefix/sw/bin/openpkg rpm" \
     --openssl="$prefix/sw/bin/openssl" \
     --tmpdir="$prefix/tmp" \
     --cfgfile="browser.cfg" \
     --database="browser.db.new" "$@" || exit $?
cp browser.db.new browser.db
rm -f browser.db.new
